struct AppPrefs       // Preferences structure for DClock
{
	int foreground;    // Foreground color
	int background;    // Background color
	int windowX;       // Window position x
	int windowY;       // Window position y
	BOOL seconds;      // Display seconds: true/false
	BOOL alarm;        // Alarm on/off
	BOOL timer;        // Timer on/off
	BOOL dragbar;      // display window title and dragbar
	int alarmval;      // hours * 10000 + mins * 100 + secs
	int timerval;      // seconds
	char alrmcmd[128]; // Command to be executed when alarm went off
	char timrcmd[128]; // Command to be executed when timer went off
	BOOL twentyfour;   // Display 13:00 instead of 1:00 pm
	BOOL date;         // Display date
	BOOL activate;     // activate window
	BOOL ddmmyy;       // date format
};

#define ALARM 1
#define TIMER 2

extern ULONG alarmsig;   // Signal main task: alarm clock
extern ULONG timersig;   // Signal main task: timer
extern ULONG cleanupsig; // Signal main task: Child process can be removed safely
extern ULONG exitsig;    // Signal child task: Clean up and Wait(0)
extern ULONG exit_info;  // Signal info task: Clean up and Wait(0)

extern struct Task *childtask;
extern struct Task *parenttask;
extern struct Task *infotask;
extern char *PubScreenName;
extern struct TagItem ezRequestTags[];

// Obtain this semaphore before you draw to the window's rastport:
extern struct SignalSemaphore draw_semaphore;
